# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-pod perl-podlators perldoc
# END SourceDeps(oneline)
Name:           perl-Class-DBI-mysql
Version:        1.00
Release:        alt1_18
Summary:        Extensions to Class::DBI for MySQL
Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Class-DBI-mysql/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TM/TMTM/Class-DBI-mysql-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:	perl(Class/DBI.pm) perl(DBD/mysql.pm) perl(Test/More.pm)
BuildRequires:	perl(Pod/Perldoc.pm) perl(ExtUtils/MakeMaker.pm)
Requires:  perl(Class/DBI.pm) perl(DBD/mysql.pm) perl(Time/Piece/MySQL.pm)
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n Class-DBI-mysql-%{version}
perldoc -t perlartistic > Artistic
perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# Needs a running mysql server.
#make test

%files
%doc Artistic COPYING Changes
%{perl_vendor_privlib}/Class/DBI

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_18
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_16
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_14
- fc import

